PLEASE JOIN MY DISCORD SERVER IF YOU HAVE ANY FEEDBACK https://discord.gg/yFRx3E6Yep that would be greatly appreciated thank u. also the server has a download for up to date versions of the mod with a more detailed changelog u should check it out

## Mod Overview
BalanceOverhaulRBO is a BALANCE MOD whose primary intent is to shift the balance and meta of Risk of Rain 2, away from excessive healing and mobility, and more towards "Effective Health" options like shield and armor. Additionally, many items have been adjusted (mostly with proc coefficient on Damaging On-Kill Effects), in hopes that it will greatly increase player involvement in longer runs where the game would otherwise be "automatically played" by their item setup.

Further, BORBO includes (or will include) the addition of multiple new items, serving as a means to an end for balance purposes. This is primarily a balance mod, so I will not be giving the option to use said items separately from balance changes. Do keep that in mind going forward.

In vanilla RoR2, the balance is often in a state such that taking a hit can mean either death happens instantly, or it is very easy to recover from it due to the high availability of healing. With the changes to the state of RoR2's balance, it is moreso punishing in the sense that recovery from taking a hit can be difficult and will often lead to death if you are not careful. Aggressive play is encouraged and supported through new defensive items and avenues. This means gameplay is generally more fair, but unforgiving - as the game should be, in my humble and clearly very unbiased opinion, as it is far more fun this way.

Due to the nature of balancing for longer runs, this is a mod that is very difficult to playtest and balance for, so all feedback is greatly appreciated. Once again, if you have anything to say, then please join the discord server.

NOT DONE YET/NOT IN THIS VERSION:
- config for separate categories
- the removal of certain meta-distorting or game breaking items
- updated vanilla item descriptions

# Changes:
Each of these categories may be enabled/disabled together by config (in future versions), but not the individual changes within them


## State of Defense + Healing:

### Healing...
```monster tooth max duration increased, healing amount reduced
medkit buff changed to be a debuff (can now be cleansed by blast shower, which gives heal immediately), healing amount reduced
harvesters scythe healing amount reduced```

### Armor...
```engineer stationary turret max health reduced because of armor items
titanic knurl changed to give bonus armor unconditionally on top of vanilla effects
rose buckler changed to give bonus armor unconditionally on top of vanilla effects
repulsion armor plating changed to give bonus armor unconditionally on top of vanilla effects```

### Other...
```tougher times dodge chance function is halved; now dodge chance is 50% as stacks approach infinity (stacking behavior is the same)
paul's goat hoof movespeed bonus reduced
energy drink movespeed bonus reduced
(Bugged/Removed Temporarily) "pickup" radius increased to 12.5m```

### Items...
```added Cobalt Shield, Frozen Turtle Shell, Borbo's Band```


## State of Health:

### Health...
```infusion max health bonus now scales +30% with level, like how regen items do; base max health reduced
(with these changes, infusion effectively acts like an addition to lv0 health and scaling health values)```

### Barrier...
```topaz brooch barrier reduced
changed barrier to decay based on current barrier, not max
changed aegis to additionally slow down barrier decay rate```

### Items...
```added Flower Crown, 7A Battery, Utility Belt, Kinetic Engine```


## State of Player Interaction:

### Autoplay...
```ceremonial dagger projectile lifetime reduced
ceremonial dagger projectile proc coefficient reduced to 0
willowisp blast radius increased
willowisp blast proc coefficient reduced to 0
willowisp blast damage increased
shatterspleen explosion proc coefficient reduced to 0
firework proc coefficient reduced to 0
resonance disc proc coefficient reduced
razorwire proc coefficient reduced```
	
### Other...
```lensmaker's glasses crit chance reduced
alien head cooldown reduction increased
"kit slow" debuff now also reduces attack speed of the afflicted
"chronobauble slow" debuff now also reduces attack speed of the afflicted
"cold slow" debuff now also reduces attack speed of the afflicted```

### Items...
```added Nature's Gift, Volatile Fuse```


## State of the Item Pool:
```(Not Yet Implemented) remove guillotine, gesture, tesla```


# Lastly...

Known Issues:
```- Almost nothing in this mod is balanced for use on enemies. The balance changes themselves should be mostly OK, but the items are likely going to be problematic, especially on Mithrix. MakeMithrixNotBS is a mod I would recommend to install.
- Again, this is a mod that is very hard to playtest for, so balance issues are very likely to appear.
- There are a good few bugs, none game breaking though.
- As long as the items dont have icons, they will not be available in StartingItemsGUI. If this is an issue people want to see fixed, i will make it a priority.```


